Bug Hunting Session
Bug 97525 - vcl: make DeletionListener internal ...
Summary: vcl: make DeletionListener internal ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.1.0.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: ToBeReviewed target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2016-02-03 13:30 UTC by Michael Meeks
Modified: 2017-02-14 08:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2016-02-03 13:30:16 UTC
The header: vcl/impdel.hxx - which is included in a ton of files looks strongly to me as if it should (instead) be internal to VCL:

git grep DeletionListener
git grep DeletionNotifier

Appears to show no hits outside vcl/; so something like:

git move include/vcl/impdel.hxx vcl/inc

And then fixing all the internal vcl include paths to be just #include "impdel.hxx" would be great. Then dunging all the redundant include statements out of other modules would be great ! =)

Thanks !
Comment 1 Chris Sherlock 2016-02-03 13:35:54 UTC
I'm happy to take this one. 

I'll try to give it to you in one patch :-) No more little patches I promise Michael!
Comment 2 Chris Sherlock 2016-02-03 13:46:21 UTC
On second thoughts, I might welsh on this one :-)

Some other lucky person can have the pleasure! Sorry all.
Comment 3 Michael Meeks 2016-02-03 13:52:53 UTC
Heh - my hope was that Nurhak might do this one =)
Comment 4 NURHAK ALTIN 2016-02-03 14:36:27 UTC
Now, I'm on that bug thanks for orientation =)
Comment 5 Robinson Tryon (qubit) 2016-02-18 14:52:17 UTC Comment hidden (obsolete)
Comment 6 Commit Notification 2016-03-31 11:24:31 UTC
Jochen Nitschke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef9757605619c6bcbdde61c93c834a0467453d67

tdf#97525 vcl: make DeletionListener internal

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 JoNi 2016-03-31 23:34:20 UTC
closing
header is moved and includes are adjusted